show {Rmixmod} | R Documentation

## Show description of a Rmixmod class to standard output.

### Description

Show description of a Rmixmod class to standard output.

### Usage

    ## S4 method for signature 'Model'
    show(object)

    ## S4 method for signature 'MultinomialParameter'
    show(object)

    ## S4 method for signature 'GaussianParameter'
    show(object)

    ## S4 method for signature 'CompositeParameter'
    show(object)

    ## S4 method for signature 'MixmodResults'
    show(object)

    ## S4 method for signature 'Mixmod'
    show(object)

    ## S4 method for signature 'Strategy'
    show(object)

    ## S4 method for signature 'MixmodCluster'
    show(object)

    ## S4 method for signature 'MixmodDAResults'
    show(object)

    ## S4 method for signature 'MixmodLearn'
    show(object)

    ## S4 method for signature 'MixmodPredict'
    show(object)

### Arguments

`object` | a Rmixmod object: a `Strategy`, a `Model`, a `GaussianParameter`, a `MultinomialParameter`, a `MixmodResults`, a `MixmodCluster`, a `MixmodLearn` or a `MixmodPredict`.

### Value

NULL. Prints to standard out.

### See Also

`show`

### Examples

      ## for strategy
      strategy <- mixmodStrategy()
      show(strategy)

      ## for Gaussian models
      gmodel <- mixmodGaussianModel()
      show(gmodel)
      ## for multinomial models
      mmodel <- mixmodMultinomialModel()
      show(mmodel)

      ## for clustering
      data(geyser)
      xem <- mixmodCluster(geyser,3)
      show(xem)
      ## for Gaussian parameters
      show(xem["bestResult"]["parameters"])

      ## for discriminant analysis
      # start by extract 10 observations from iris data set
      iris.partition<-sample(1:nrow(iris),10)
      # then run a mixmodLearn() analysis without those 10 observations
      learn<-mixmodLearn(iris[-iris.partition,1:4], iris$Species[-iris.partition])
      # create a MixmodPredict to predict those 10 observations
      prediction <- mixmodPredict(data=iris[iris.partition,1:4], classificationRule=learn["bestResult"])
      # show results
      show(prediction)

[Package Rmixmod version 2.1.2.2 Index]